services:
  web:
    build:
      context: ./
      dockerfile: development3.Dockerfile
    command: bash -c "rm -f tmp/pids/server.pid && bin/dev"
    volumes:
      - .:/usr/src/app
      - bundle:/usr/local/bundle
    ports:
      - "3002:3002"
    env_file:
      - .env
    environment:
      - HISTFILE=/usr/src/app/log/.bash_history 
      - RAILS_ENV=development
      - TAILWIND_POLLING=true
      # - PUID=1000
      # - PGID=100
    tty: true
    stdin_open: true
    # depends_on:
    #   db:
    #     condition: service_healthy
  # db:
  #   build:
  #     context: .
  #     dockerfile: Dockerfile.db
  #   volumes:
  #     - ./mssql-data:/var/opt/mssql
  #   ports:
  #     - "1434:1434"
  #   healthcheck:
  #     test: ["CMD", "/opt/mssql-tools/bin/sqlcmd", "-Usa", "-PBr1tt0nPassw0rd", "-Q", "select 1"]
  #     interval: 10s
  #     timeout: 3s
  #     retries: 10
  #     start_period: 10s
  # cron:
  #   build:
  #     context: ./
  #     dockerfile: development3.Dockerfile
  #   command: ./bin/cron-entrypoint
  #   volumes:
  #     - .:/usr/src/app
  #     - bundle:/usr/local/bundle
  #   environment:
  #     - RAILS_ENV=development
  #     - PUID=1000
  #     - PGID=1001
  #   depends_on:
  #     - web
      # - db
volumes:
  # redis_data:
  bundle:
